﻿//------------------------------------------------------------------
//传感器定义
//只需在此文件定义就可以使用
//------------------------------------------------------------------
var Sensors = [
   
    //---------------------------------------------------XYTH-S (RS485 type)定义开始
    {
        name: "CWT-XYTH-S (RS485 type)",//在下拉中显示的名称
        img: "XYTH-S.jpg",//显示传感器的图片(imges中)
        slaveAddr: "1",//默认传感器地址
        Registers: [
            {
                regName: "1: Temperature",
                regAddr: 1,
                regType: Modbus.RegType.KEEP,
                valueType: Modbus.ValueType.Signed,
                valueScale: 0.1
            },
            {
                regName: "2: Humidity",
                regAddr: 2,
                regType: Modbus.RegType.KEEP,
                valueType: Modbus.ValueType.Signed,
                valueScale: 0.1
            },
        ],
        QueryAddrHex: "FF 03 00 0F 00 01 A1 D7",//查询地址的数据，如果注释掉则无读从机地址的按钮
        slaveRegAddr: 0x0F,//从机的地址所在的寄存器
        displayBtnWriteAddr: 1,//值0/1,0表示无写从机地址的按钮;1表示有写从机地址的按钮
        
    },
    //---------------------------------------------------XYTH-S (RS485 type)定义结束
];